---

  - name: "log dest {{ www_log }}/{{ app_instance_id }}"
    file:
      state: directory
      path: "{{ www_log }}/{{ app_instance_id }}"
    when: app_run in ['install', 'reinstall']

  - name: "logrotate for {{ www_log }}/{{ app_instance_id }}"
    template:
      src: "app_logrotate_{{ rev_proxy }}.j2"
      dest: "/etc/logrotate.d/{{ app_instance_id }}"
      mode: 0644
    when: app_run in ['install', 'reinstall']

  - name: "remove logrotate configuration"
    file:
      state: absent
      path: "/etc/logrotate.d/{{ app_instance_id }}"
    when: app_run == 'uninstall'

  - name: "remove logs"
    file:
      state: absent
      path: "{{ www_log }}/{{ app_instance_id }}"
    failed_when: False
    when: app_run == 'uninstall'
